<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1IResultCapture.html">IResultCapture</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::IResultCapture Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a8f93a848e0a48b630ca9ecbf225e4817">acquireGeneratorTracker</a>(StringRef generatorName, SourceLineInfo const &amp;lineInfo) -&gt; IGeneratorTracker &amp;=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a8f93a848e0a48b630ca9ecbf225e4817">acquireGeneratorTracker</a>(StringRef generatorName, SourceLineInfo const &amp;lineInfo) -&gt; IGeneratorTracker &amp;=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a9b0ef2cb071e9a9dc6ec1b533026aea7">assertionPassed</a>()=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a9b0ef2cb071e9a9dc6ec1b533026aea7">assertionPassed</a>()=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a49f74f1323ef8be71b8f9b8e8b2c0fc2">emplaceUnscopedMessage</a>(MessageBuilder const &amp;builder)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a49f74f1323ef8be71b8f9b8e8b2c0fc2">emplaceUnscopedMessage</a>(MessageBuilder const &amp;builder)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#ae63ecec95db4c236c63ecf616f483810">exceptionEarlyReported</a>()=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#ae63ecec95db4c236c63ecf616f483810">exceptionEarlyReported</a>()=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#aea1617f4a84cc648246aa3ed6918b5bf">getCurrentTestName</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#aea1617f4a84cc648246aa3ed6918b5bf">getCurrentTestName</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#ab18872c89fab97405a56e9c6a4919736">getLastResult</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#ab18872c89fab97405a56e9c6a4919736">getLastResult</a>() const =0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a59a2b05391e464954575d2afb6d5d607">handleExpr</a>(AssertionInfo const &amp;info, ITransientExpression const &amp;expr, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a59a2b05391e464954575d2afb6d5d607">handleExpr</a>(AssertionInfo const &amp;info, ITransientExpression const &amp;expr, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a48559e6598ba9474b903697b69c769b2">handleFatalErrorCondition</a>(StringRef message)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a48559e6598ba9474b903697b69c769b2">handleFatalErrorCondition</a>(StringRef message)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a89b89372eb09cc44f8dcad363de6157d">handleIncomplete</a>(AssertionInfo const &amp;info)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a89b89372eb09cc44f8dcad363de6157d">handleIncomplete</a>(AssertionInfo const &amp;info)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a21788ebc64571abf322b80c8cc51794d">handleMessage</a>(AssertionInfo const &amp;info, ResultWas::OfType resultType, StringRef const &amp;message, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a21788ebc64571abf322b80c8cc51794d">handleMessage</a>(AssertionInfo const &amp;info, ResultWas::OfType resultType, StringRef const &amp;message, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#ab7dbdf8aa28427119583e24dbb302c63">handleNonExpr</a>(AssertionInfo const &amp;info, ResultWas::OfType resultType, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#ab7dbdf8aa28427119583e24dbb302c63">handleNonExpr</a>(AssertionInfo const &amp;info, ResultWas::OfType resultType, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a6382ed20486e2d9a020da971c6d5c53d">handleUnexpectedExceptionNotThrown</a>(AssertionInfo const &amp;info, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a6382ed20486e2d9a020da971c6d5c53d">handleUnexpectedExceptionNotThrown</a>(AssertionInfo const &amp;info, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#afc97bc69829185222f955ebeef97adfe">handleUnexpectedInflightException</a>(AssertionInfo const &amp;info, std::string const &amp;message, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#afc97bc69829185222f955ebeef97adfe">handleUnexpectedInflightException</a>(AssertionInfo const &amp;info, std::string const &amp;message, AssertionReaction &amp;reaction)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a973435fbdcb2f6f07a0ec5719a01e956">lastAssertionPassed</a>()=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a973435fbdcb2f6f07a0ec5719a01e956">lastAssertionPassed</a>()=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a42bcb13276706bf8c3ce081ce16d37fd">popScopedMessage</a>(MessageInfo const &amp;message)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a42bcb13276706bf8c3ce081ce16d37fd">popScopedMessage</a>(MessageInfo const &amp;message)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a91d154c1e087e383dcde5aad95cb6a05">pushScopedMessage</a>(MessageInfo const &amp;message)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a91d154c1e087e383dcde5aad95cb6a05">pushScopedMessage</a>(MessageInfo const &amp;message)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a4e152bc43dc0933684e31fa67a58195d">sectionEnded</a>(SectionEndInfo const &amp;endInfo)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a4e152bc43dc0933684e31fa67a58195d">sectionEnded</a>(SectionEndInfo const &amp;endInfo)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#afcc71eef8ca821ae132cced4a2be6988">sectionEndedEarly</a>(SectionEndInfo const &amp;endInfo)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#afcc71eef8ca821ae132cced4a2be6988">sectionEndedEarly</a>(SectionEndInfo const &amp;endInfo)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a5b76ed52badcb64cf374202e12b81a03">sectionStarted</a>(SectionInfo const &amp;sectionInfo, Counts &amp;assertions)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a5b76ed52badcb64cf374202e12b81a03">sectionStarted</a>(SectionInfo const &amp;sectionInfo, Counts &amp;assertions)=0</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a3bd16719d6772b7470887fc36c6d0808">~IResultCapture</a>()</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html#a3bd16719d6772b7470887fc36c6d0808">~IResultCapture</a>()</td><td class="entry"><a class="el" href="structCatch_1_1IResultCapture.html">Catch::IResultCapture</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
